Page MenuHomePhabricator

1.36.0-wmf.22 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.36.0-wmf.22
Release Date
Dec 14 2020, 12:00 AM
Backup Conductor
jeena

2020 week 51 1.36-wmf.22 Changes wmf/1.36.0-wmf.22

This MediaWiki Train Deployment is scheduled for the week of Monday, December 14th:

Monday December 14thTuesday, December 15thWednesday, December 16thThursday, December 17thFriday
Backports only.Branch wmf.22 and deploy to Group 0 Wikis.Deploy wmf.22 to Group 1 Wikis.Deploy wmf.22 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.22 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.36.0-wmf.21
Next: 1.36.0-wmf.23

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2020, 4:20 PM
thcipriani assigned this task to dduvall.Nov 6 2020, 4:21 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: jeena.

Change 649480 had a related patch set uploaded (by DannyS712; owner: trainbranchbot):
[mediawiki/core@wmf/1.36.0-wmf.22] Branch commit for wmf/1.36.0-wmf.22

https://gerrit.wikimedia.org/r/649480

Change 649480 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.22] Branch commit for wmf/1.36.0-wmf.22

https://gerrit.wikimedia.org/r/649480

Mentioned in SAL (#wikimedia-operations) [2020-12-16T20:12:07Z] <marxarelli> group1 to 1.36.0-wmf.22 complete. no new errors or concerning rates (refs T267415)

Mentioned in SAL (#wikimedia-operations) [2020-12-17T20:24:31Z] <marxarelli> all wikis to 1.36.0-wmf.22 complete. no new errors or concerning rates (refs T267415)

dduvall closed this task as Resolved.Dec 17 2020, 8:56 PM